Jump to content

Photo

SR v4 Open Beta (last update 25 December 2016)


1269 replies to this topic

#31 ManBearPig

ManBearPig
  • Members
  • 6 posts

Posted 21 August 2014 - 08:17 AM

Downloaded the new Beta. I'm playing it with the BG:EE. Any ideas why some spells do not show up in the sorcerer's or dragon disciple's selectable spells on level up? Also, the component for "spell deflection protecting against AoE" doesn't seem to install correctly. Any ideas?



#32 Demivrgvs

Demivrgvs

    The Laughing Man

  • Modders
  • 5549 posts
  • Gender:Male
  • Location:Italy

Posted 21 August 2014 - 11:44 AM

Downloaded the new Beta. I'm playing it with the BG:EE. Any ideas why some spells do not show up in the sorcerer's or dragon disciple's selectable spells on level up? Also, the component for "spell deflection protecting against AoE" doesn't seem to install correctly. Any ideas?

No idea why the NWN-style Spell Deflection component doesn't work now. Arda re-arranged all the folders and tp2 but the more I look it the more I think it looks fine. o.O

 

Regarding spells not showing up, which ones? Because for some it's actually intended. If instead you are not seeing stuff that should be there trying putting this on your override and let me know if it works better.



#33 Jarno Mikkola

Jarno Mikkola

    The Imp

  • Modders
  • 6792 posts
  • Gender:Male
  • Location:The town where the dead haven't keeled over, yet. In Finland.

Posted 21 August 2014 - 12:00 PM

Also, the component for "spell deflection protecting against AoE" doesn't seem to install correctly. Any ideas?

Well, open the setup-*modname*.debug with Notepad and copy paste the text from that portion of the debug file and Demi will sort it out.


Welcome to the sanity, you are free to search for the limit, it's out there, we drew it in the sand.
Here's how to install all the ... mods you ever really could want to Infinity Engine games. I removed the stable word from there as Roxanne began to add BS mods that are likely to break compatibility from the BWS.

#34 kaiiak

kaiiak
  • Members
  • 2 posts

Posted 21 August 2014 - 01:41 PM

Hi ,

 

I'm starting a new BG2EE game tomorrow . any chance to get an invite to the Beta ? 



#35 Demivrgvs

Demivrgvs

    The Laughing Man

  • Modders
  • 5549 posts
  • Gender:Male
  • Location:Italy

Posted 21 August 2014 - 02:56 PM

I'm starting a new BG2EE game tomorrow . any chance to get an invite to the Beta ? 

Check you PMs. ;)



#36 ManBearPig

ManBearPig
  • Members
  • 6 posts

Posted 21 August 2014 - 03:42 PM

That file seems to have fixed the issue with spells not showing up. All is well now.



#37 Demivrgvs

Demivrgvs

    The Laughing Man

  • Modders
  • 5549 posts
  • Gender:Male
  • Location:Italy

Posted 22 August 2014 - 01:16 AM

@Beta testers, I've re-uploaded Beta 6. "Remove Disabled Spells from Spell Selection Screens"should finally work fine on BGEE, but I need to know if "Spell Deflection blocks AoE spells" now installs fine.



#38 kreso

kreso
  • Modders
  • 2674 posts
  • Gender:Male
  • Location:Istra, Croatia

Posted 22 August 2014 - 02:08 AM

 I need to know if "Spell Deflection blocks AoE spells" now installs fine.

It does.



#39 Dancingrage

Dancingrage
  • Members
  • 3 posts

Posted 23 August 2014 - 06:21 PM

I am willing to test for you. Let me know what needs extra looking over.

Blasted tablet eating five posts before I could post!

#40 ManBearPig

ManBearPig
  • Members
  • 6 posts

Posted 26 August 2014 - 05:18 PM

Found a string error. When Melf's minute meteors are cast and you open your inventory screen where it would normally display the weapon name it says invalid 39768: -5. For example, with a dagger +1 it would say "dagger +1:-1" "dagger +1: to hit -1" and "dagger +1: 1d4+1"

 

In this case, instead of it displaying the name "melf's minute meteor" it says "invalid 39768"

 

 

 

Separate question. Is Bigby's Icy Grasp supposed to be a level 7 or level 8 spell? I haven't used it in game yet but in Near Infinity it appears to be level 8 but with a power level of 9.


Edited by ManBearPig, 26 August 2014 - 05:26 PM.


#41 kaiiak

kaiiak
  • Members
  • 2 posts

Posted 31 August 2014 - 03:24 PM

I'm getting constant crashes in during several mage fights.

 

one crash is consistent and reproducible  for me :

 

basically cast any spell in Amn without buying license , and soon as the  cowled wizards  appear the game crash.

can some one else test and and if this is something unique to my game ?



#42 TiroFisso

TiroFisso
  • Members
  • 4 posts
  • Gender:Male
  • Location:Italy

Posted 02 September 2014 - 06:37 AM

I have a bug, Dispel Magic Fix won't install:

ERROR: illegal 2-byte read from offset 826 of 826-byte file POTN11.SPL
ERROR: [POTN11.SPL] -> [override/POTN11.SPL] Patching Failed (COPY) (Failure("POTN11.SPL: read out of bounds"))
Stopping installation because of error.
Stopping installation because of error.

ERROR Installing [Dispel Magic Fix], rolling back to previous state
Unable to Unlink [spell_rev\backup/30/OTHER.30]: Unix.Unix_error(1, "unlink", "spell_rev\\backup/30/OTHER.30")
[spell_rev\backup/30/UNSETSTR.30] SET_STRING uninstall info not found
Will uninstall   1 files for [SPELL_REV/SETUP-SPELL_REV.TP2] component 30.
  Restoring backed-up [spell_rev\backup/30/BGDISPEL.SPL]
spell_rev\backup/30/BGDISPEL.SPL copied to override/BGDISPEL.SPL, 250 bytes
Uninstalled      1 files for [SPELL_REV/SETUP-SPELL_REV.TP2] component 30.
Unable to Unlink [spell_rev\backup/30/READLN.30]: Unix.Unix_error(20, "unlink", "spell_rev\\backup/30/READLN.30")
Unable to Unlink [spell_rev\backup/30/READLN.30.TEXT]: Unix.Unix_error(20, "unlink", "spell_rev\\backup/30/READLN.30.TEXT") 

I've attacched the entire spell rev debug.

 

Here the weidu.log:

 

Spoiler

Attached Files



#43 Jarno Mikkola

Jarno Mikkola

    The Imp

  • Modders
  • 6792 posts
  • Gender:Male
  • Location:The town where the dead haven't keeled over, yet. In Finland.

Posted 02 September 2014 - 07:11 AM

ERROR: illegal 2-byte read from offset 826 of 826-byte file POTN11.SPL

Make a change-log from the "potn11.spl" file.

Note that if you use the archive from the link, do not extract the weidu.exe from it as it's an old file, and it will make the log print cheese.

 

The cause of the error is one of the mods installed before the SR making the file corrupted, so the SR can't patch it.


Welcome to the sanity, you are free to search for the limit, it's out there, we drew it in the sand.
Here's how to install all the ... mods you ever really could want to Infinity Engine games. I removed the stable word from there as Roxanne began to add BS mods that are likely to break compatibility from the BWS.

#44 Demivrgvs

Demivrgvs

    The Laughing Man

  • Modders
  • 5549 posts
  • Gender:Male
  • Location:Italy

Posted 02 September 2014 - 07:37 AM

@TiroFisso another beta tester said that installing IR before SR cause your issue, though other players did not reported such issue. That being said I have no idea why that potion would be causing any issue... If you can follow Jarno's suggestion a changelog would be useful to track down the issue.


Edited by Demivrgvs, 02 September 2014 - 08:00 AM.


#45 TiroFisso

TiroFisso
  • Members
  • 4 posts
  • Gender:Male
  • Location:Italy

Posted 04 September 2014 - 11:40 AM

 I have uninstalled Item e spell rev and some other mods and reinstalled in another sequence:

 

Spoiler

 

This time all Spell Rev was installed without problems, but when i tried to install Softer Spell Effects from 1PP mod this is the result:

ERROR: illegal 2-byte write (J) offset 272 of 202-byte file SPWI810.SPL
ERROR: [SPWI810.SPL] -> [override] Patching Failed (COPY) (Failure("SPWI810.SPL: write out of bounds"))
Stopping installation because of error.
Stopping installation because of error.
Stopping installation because of error.
Stopping installation because of error.
Stopping installation because of error.

ERROR Installing [1ppv4: Softer Spell Effects], rolling back to previous state
Unable to Unlink [1pp/backup/114/OTHER.114]: Unix.Unix_error(1, "unlink", "1pp/backup/114/OTHER.114")
[1pp/backup/114/UNSETSTR.114] SET_STRING uninstall info not found

Here the change-log:

[WeiDU.exe] WeiDU version 23600
override/spwi810.splTB#"SPACE"spell_rev\backup/0/spwi810.spl
override/SPWI810.SPLTB#"SPACE"spell_rev\backup/20/SPWI810.SPL
override/spwi810.splTB#"SPACE"spell_rev\backup/60/spwi810.spl



Mods affecting SPWI810.SPL:
00000: ~SPELL_REV/SETUP-SPELL_REV.TP2~ 0 0 // Spell Revisions: v4 Beta 5
00001: ~SPELL_REV/SETUP-SPELL_REV.TP2~ 0 20 // Mirror Image Fix: v4 Beta 5
00002: ~SPELL_REV/SETUP-SPELL_REV.TP2~ 0 60 // Spell Deflection blocks AoE spells: v4 Beta 5

Another mod, another file, but same bug...





Reply to this topic



  


0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users